#include <iostream>

using namespace std;

int main()
{
    int n,k,i,rez;
    cin>>n>>k;
    int a[n];
    for(i=0;i<n;i++){
        cin>>a[i];
    }
    for(i=0;i<=n;i++){
      if(i==n-1&&a[i]==k){
        rez=a[0];
      }
      else if(a[i]==k){
        rez=a[i+1];
      }
    }
    cout<<rez;
}